Package com.smartgwt.client.types

# Enum DragIntersectStyle

java.lang.Object
java.lang.Enum<DragIntersectStyle>
com.smartgwt.client.types.DragIntersectStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<DragIntersectStyle>`, `Constable`

public enum DragIntersectStyle extends Enum<DragIntersectStyle> implements ValueEnum
Different styles of determining intersection: with mouse or entire rect of target

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MOUSE`
  Look for drop targets that are under the current mouse cursor position.
  `RECT`
  Look for drop targets by intersection of the entire rect of the drag target with the droppable target.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static DragIntersectStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static DragIntersectStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MOUSE

    public static final DragIntersectStyle MOUSE
    Look for drop targets that are under the current mouse cursor position.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "mouse".

  - ### RECT

    public static final DragIntersectStyle RECT
    Look for drop targets by intersection of the entire rect of the drag target with the droppable target.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rect".

- ## Method Details

  - ### values

    public static DragIntersectStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static DragIntersectStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`